package handler

import (
	"github.com/gin-gonic/gin"
	"github.com/go-nunu/nunu-layout-advanced/internal/service"
)

type HostHandler struct {
	*Handler
	hostService service.HostService
}

func NewHostHandler(
	handler *Handler,
	hostService service.HostService,
) *HostHandler {
	return &HostHandler{
		Handler:     handler,
		hostService: hostService,
	}
}

func (h *HostHandler) GetHost(ctx *gin.Context) {

}
